--     

use stud;

IF OBJECT_ID ( 'P_ADD_STUDENT', 'P' ) IS NOT NULL 
    DROP PROCEDURE P_ADD_STUDENT;
GO

--   
--        1970 .
--        .
CREATE PROCEDURE P_ADD_STUDENT(
	@firstName varchar(20), 
	@secondaryName varchar(20), 
	@birthday datetime,
	@id int output) 
AS
	if (@birthday<CONVERT(DATETIME,'01-01-1970',105))
	begin
		declare @dateString varchar(max);
		set @dateString = CAST(@birthday as varchar);
        RAISERROR(N'     1970 : %s', 11, 1, @dateString);
		set @id=-1;
		return;
	end;
	insert into STUDENT(First_Name, Secondary_Name, birthday)
				values (@firstName, @secondaryName, @birthday); 
	set @id=SCOPE_IDENTITY();
GO

--   P_ADD_STUDENT
begin
	declare @birthday datetime, @id int;
	set @birthday = CONVERT(DATETIME,'12-05-1971',105)
	execute P_ADD_STUDENT '', '', @birthday, @id output;
	select @id as [NEW_STUDENT_ID];
end;
GO
