CREATE DATABASE [stud] ON  PRIMARY 
( NAME = N'stud', FILENAME = N'C:\TMP\stud.mdf' , SIZE = 10240KB , FILEGROWTH = 1024KB )
 LOG ON 
( NAME = N'stud_log', FILENAME = N'C:\TMP\stud_log.ldf' , SIZE = 103424KB , FILEGROWTH = 10%)
GO
EXEC dbo.sp_dbcmptlevel @dbname=N'stud', @new_cmptlevel=90
GO
IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [stud].[dbo].[sp_fulltext_database] @action = 'disable'
end
GO
ALTER DATABASE [stud] SET ANSI_NULL_DEFAULT OFF 
GO
ALTER DATABASE [stud] SET ANSI_NULLS OFF 
GO
ALTER DATABASE [stud] SET ANSI_PADDING OFF 
GO
ALTER DATABASE [stud] SET ANSI_WARNINGS OFF 
GO
ALTER DATABASE [stud] SET ARITHABORT OFF 
GO
ALTER DATABASE [stud] SET AUTO_CLOSE OFF 
GO
ALTER DATABASE [stud] SET AUTO_CREATE_STATISTICS ON 
GO
ALTER DATABASE [stud] SET AUTO_SHRINK OFF 
GO
ALTER DATABASE [stud] SET AUTO_UPDATE_STATISTICS ON 
GO
ALTER DATABASE [stud] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO
ALTER DATABASE [stud] SET CURSOR_DEFAULT  GLOBAL 
GO
ALTER DATABASE [stud] SET CONCAT_NULL_YIELDS_NULL OFF 
GO
ALTER DATABASE [stud] SET NUMERIC_ROUNDABORT OFF 
GO
ALTER DATABASE [stud] SET QUOTED_IDENTIFIER OFF 
GO
ALTER DATABASE [stud] SET RECURSIVE_TRIGGERS OFF 
GO
ALTER DATABASE [stud] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO
ALTER DATABASE [stud] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO
ALTER DATABASE [stud] SET PARAMETERIZATION SIMPLE 
GO
ALTER DATABASE [stud] SET  READ_WRITE 
GO
ALTER DATABASE [stud] SET RECOVERY FULL 
GO
ALTER DATABASE [stud] SET  MULTI_USER 
GO
ALTER DATABASE [stud] SET PAGE_VERIFY CHECKSUM  
GO
USE [stud]
GO
IF NOT EXISTS (SELECT name FROM sys.filegroups WHERE is_default=1 AND name = N'PRIMARY') ALTER DATABASE [stud] MODIFY FILEGROUP [PRIMARY] DEFAULT
GO
