use stud;

IF OBJECT_ID ('T_LEARNING_INSERT', 'TR') IS NOT NULL
   DROP TRIGGER T_LEARNING_INSERT
GO

CREATE TRIGGER T_LEARNING_INSERT ON LEARNING
	AFTER INSERT AS
DECLARE @cnt int
select @cnt = count(*) from inserted LI inner join learning L 
	on (LI.Semestr=L.Semestr and LI.ID_Student=L.ID_Student);
if @cnt > 2 
begin
	RAISERROR ('     2   ', 16, 1)
	rollback transaction;
end
GO

--     
insert into learning(ID_STUDENT, ID_SUBJECT, Semestr) values (1,2,1);
insert into learning(ID_STUDENT, ID_SUBJECT, Semestr) values (1,4,1);
--    INSERT
delete from learning where id_student=1 and id_subject in(2,4);